Last Comment Bug 366505 - Unable to save a saved search when no there is no folder pane selection
: Unable to save a saved search when no there is no folder pane selection
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1, verified1.8.1.2
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Andrew Schultz
:
Mentors:
: 367660 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 18:33 PST by Scott MacGregor
Modified: 2008-07-31 04:30 PDT (History)
3 users (show)
mscott: blocking‑thunderbird2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
drop serverURI (1.56 KB, patch)
2007-01-23 23:01 PST, Andrew Schultz
mscott: review+
mscott: superreview+
mscott: approval‑thunderbird2+
Details | Diff | Splinter Review

Description Scott MacGregor 2007-01-09 18:33:21 PST
1) Start up Thunderbird
2) Change the folder view and then go back to the original view
3) Note that we have lost folder pane selection and no longer have a selected folder (this is a separate bug)
4) File / New / Saved Search

try to click on the Choose button to choose which folders to search. Try to click ok to save the search. Note that neither of these options work because the RDF uri for the folder argument we pass into this dialog is empty.

Should be easy to bullet proof around (maybe choosing the default account's inbox or requiring the user to go through the choose button). Maybe magnus is interested in taking a look.
Comment 1 Mike Cowperthwaite 2007-01-11 15:34:32 PST
Error Console after clicking choose:
==========
Error: folder has no properties
Source File: chrome://messenger/content/virtualFolderProperties.js
Line: 249
==========
Comment 2 Magnus Melin 2007-01-23 08:49:34 PST
*** Bug 367660 has been marked as a duplicate of this bug. ***
Comment 3 Andrew Schultz 2007-01-23 23:01:49 PST
Created attachment 252568 [details] [diff] [review]
drop serverURI

virtualFolderListDialog doesn't use serverURI, so this doesn't need to be bother trying to figure out what it should be.
Comment 4 Scott MacGregor 2007-01-25 10:20:22 PST
Comment on attachment 252568 [details] [diff] [review]
drop serverURI

Thanks for the patch Andrew!
Comment 5 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-02-06 14:02:35 PST
Verfied fixed for 1.8.1.2 on Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.2pre) Gecko/20070206 Thunderbird/2.0pre Mnenhy/0.7.4.10002 ID:2007020604

Note You need to log in before you can comment on or make changes to this bug.